* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

:root {
    --color-azul: #243e73;
    --color-gris: #f2f2f2;
    --color-blanco: #fff;
    --color-rojo: #e21d38;
    --color-amarillo: #fdcf0a;
}

a {
    text-decoration: none;
    padding: 0;
    margin: 0;
}

ul,
li {
    list-style: none;
    padding-left: 0;
}

h1 {
    color: var(--color-azul);
}

.text-white {
    color: var(--color-blanco);
}

.text--strong {
    font-size: 1.2rem;
    font-weight: 600;
}

.text--margin {
    margin-block: 1rem;
}
/* estilos de barra de navegacion */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background-color: var(--color-azul);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.admin {
    padding: 10px 20px;
}
.logo {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
}

.nav-links a {
    text-decoration: none;
    color: var(--color-blanco);
    font-size: 16px;
    font-weight: bold;
    transition: color 0.3s ease-in-out;
}

.nav-links a:hover {
    color: #e21d38;
}

.toggle-buton--open,
.toggle-buton--close {
    display: none;
    font-size: 2.5rem;
    font-weight: 600;
    background: none;
    border: none;
    cursor: pointer;
}

/* FIN DE BARRA DE NAVEGACION */
/* ESTILOS PARA LAS DIFERENTES SECCIONES */
/* comienzo de estilos pantalla MAIN */
main {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* Seccion principal(slider) */
.main-index {
    width: 100%;
    gap: 2rem;
}
.section--auth {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    margin-top: 2rem;
    margin-bottom: 4rem;
}
/* Seccion de dashboard */
/* titulos */
h2 {
    color: var(--color-azul);
    text-transform: uppercase;
    margin-block: 0.2rem;
}
h3 {
    color: var(--color-azul);
    font-size: 1.5rem;
}
.property--name {
    margin-block: 0.5rem;
    text-transform: uppercase;
    color: var(--color-azul);
    margin-left: 2rem;
    font-size: 1.2rem;
}
.container--gral {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-block: 30px;
    gap: 1rem;
    padding: 40px 25px;
    background: var(--color-blanco);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
.container--gral--dashboard {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 350px;
    padding: 40px 25px;
    background: var(--color-blanco);
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    z-index: 1;
}
.container--title--dashboard {
    display: flex;
    align-items: center;
}
.title--dashboard {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
}
.title--text--dashboard {
    font-size: 2.2rem;
}
.img--rosca--dashboard {
    position: absolute;
    z-index: 0;
    top: 15%;
    right: -5px;
    transform: translateY(-50%);
    width: 150px;
}

.container--info-gral {
    margin-top: 3rem;
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    position: relative;
    background: var(--color-gris);
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);

    z-index: 1;
}

.container--info--not--register {
    width: 100%;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    background: var(--color-gris);
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);

    z-index: 1;
}
.blue {
    background-color: var(--color-azul);
}
.container--weather {
    background-color: var(--color-azul);
    border-radius: 1rem;
    padding: 0.7rem;
    margin-block: 0.5rem;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.container--weather p {
    color: var(--color-blanco);
    font-size: 1.2rem;
}

.weather--wind {
    display: flex;
    align-items: center;
    justify-content: space-between;

    margin-block: 1rem;
}
.container--data-wind {
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

.container--rain {
    display: flex;
    align-items: center;

    gap: 0.8rem;
}

.separetor--line {
    border-top: 1px solid var(--color-blanco);
    width: 100%;
    margin-block: 0.5rem;
}

.river {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* BOTONES GENERALES */
.button {
    display: inline-block;
    border-radius: 5px;
    padding: 0.25em 0.5em;
    border: 1px solid gray;
    transition: box-shadow 0.3s ease, transform 0.3s ease;
    /* Transición suave */
    border: none;
    cursor: pointer;
    padding: 8px;
}

.button a {
    display: block;
    width: 100%;
    height: 100%;
    text-align: center;
    line-height: inherit;
    text-decoration: none;
    color: inherit;
}

.button:hover {
    box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-0.5px);
}

.button--primary {
    background-color: var(--color-azul);
    color: var(--color-blanco);
}

.button--danger {
    padding: 0.4 0.5em;
    background-color: red;
    color: var(--color-blanco);
}

.button-delete {
    margin-left: 1em;
}

.button--border--white {
    background-color: var(--color-azul);
    border: 1px solid var(--color-gris);
}
.button--border--white a {
    color: var(--color-blanco);
}
.container--link--aspirantes {
    display: flex;
    align-items: center;
    gap: 5px;
}

/* FIN BOTONES GENERALES */

/* commienzan estilos de slider */

.container-slider {
    position: relative;
    width: 100%;
    max-width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.slider {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.imagen-slider {
    flex: 0 0 100%;
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
}

.slider .imagen-slider {
    display: block;
    width: 100%;
    object-fit: cover;
    background-color: black;
}

.overlay-dark {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: -1;
}
/* estilos para TITULO Y PARRAFO dentro del slider */
.fixed-content {
    width: 100%;
    padding-block: 1.5rem;
    position: absolute;
    text-align: center;
    z-index: 10;
    background-color: rgba(36, 62, 115, 0.7);
    /* Color negro con 30% de opacidad */
}

.main--title {
    font-size: 1.5rem;
    line-height: 1.7rem;
    text-transform: uppercase;
    color: var(--color-blanco);
}

.intro-text {
    color: var(--color-gris);
    font-size: 1.5rem;
}
.span--guardavidas {
    color: var(--color-rojo);
}
/* FIN DE SLIDER */

/* comienza estilos para formulario de inciar sesión */
.login-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 350px;
    padding: 20px;
    background: var(--color-blanco);
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    z-index: 1;
}

.form-container {
    margin: 1rem;
}
.text--register {
    max-width: 80%;
    text-align: center;
}

.p--register--group {
    margin-block: 0.5rem;
    text-align: center;
    padding: 1rem;
}
.login-header {
    text-align: center;
    margin-bottom: 20px;
}

.logo {
    max-width: 150px;
}

input[type='text'],
input[type='password'],
input[type='email'] {
    width: 100%;
    height: 2rem;
    border: 1px solid var(--color-azul);
    border-radius: 3px;
    margin-block: 10px;
    padding-left: 10px;
}

.input-group {
    display: flex;
    flex-direction: column;
}

.text--login {
    text-align: center;
    font-size: small;
    font-weight: 200;
    margin: 8px;
}

.error--text {
    width: 100%;
    background-color: var(--color-rojo);
    color: var(--color-blanco);
    padding: 0.5rem;
    text-align: center;
    font-size: 1.2rem;
}
.container--form--not--register {
    display: flex;
    flex-direction: column;
    margin-block: 0.5rem;
}
.container--button--not--register {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin: 1rem;
}
.hidden {
    display: none;
}

.container--return--form {
    margin-top: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container--dashboard {
    text-align: center;
}

/* FOOTER */
footer {
    background-color: var(--color-azul);
    color: var(--color-blanco);
    text-align: center;
    padding: 1rem;
}
/* -------------------------------------------------------------- */
/* RESPONSIVE: Muestra el menú hamburguesa en móviles */
@media (max-width: 768px) {
    .toggle-buton--open {
        display: block;
    }

    .nav-links {
        display: none;
        background-color: var(--color-azul);
        flex-direction: column;
        height: 100vmax;
        position: absolute;
        padding-block: 1rem;
        padding: 15px;
        align-items: end;
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        transition: 0.5s ease-in-out;
        z-index: 30;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.5);
    }

    .nav-links li {
        padding-block: 0.5rem;
    }

    .nav-active {
        display: block;
        opacity: 1;
        visibility: visible;
        transition: 0.5s ease-in-out;
    }
}
